Eclipse Remote Application Platform

## org.eclipse.rap.rwt.client
Interface Client

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  WebClient

    public interface Client

extends java.io.Serializable

Represents a remote client. The client that is connected to the current session can be obtained by calling `RWT.getClient()`.

An RWT client can provide services, e.g. to allow access to device-specific capabilities. Those client services implement the common interface `ClientService`.

Since:
  2.0
See Also:
  `WebClient`, `RWT.getClient()`

Method Summary

`

`<T extends ClientService> T`

`

`getService(java.lang.Class<T> type)`
Returns this client's implementation of a given service, if available.

Method Detail

### getService

    <T extends ClientService> T getService(java.lang.Class<T> type)

  Returns this client's implementation of a given service, if available.

  Parameters:
    `type` - the type of the requested service, must be a subtype of ClientService
  Returns:
    the requested service if provided by this client, otherwise `null`
  See Also:
    `ClientService`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2014. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0